"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator.throw(value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const utils = require('../util');
const path = require('path');
let hook = { name: "compileWithEgretCompiler", execute: null };
hook.execute = (env) => __awaiter(this, void 0, void 0, function* () {
    try {
        let fileName = path.relative(env.root, env.releaseFolder);
        yield utils.shell("egret", ["internal_compile", env.root, "--fileName", fileName], {}, true);
    }
    catch (e) {
        if (e.code == 18) {
            Promise.reject("需要使用 Egret Engine 3.1.6 或者更高的版本");
        }
        else {
            Promise.reject(e.stderr);
        }
    }
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = hook;
//# sourceMappingURL=compile-with-egretcompiler.js.map