"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator.throw(value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments)).next());
    });
};
const fs = require('fs-extra-promise');
const path = require('path');
const uglify = require('uglify-js');
let hook = { name: "minifySourceCode", execute: null };
hook.execute = (env) => __awaiter(this, void 0, void 0, function* () {
    let defines = {
        DEBUG: false,
        RELEASE: true
    };
    let filename = path.join(env.releaseFolder, "main.min.js");
    let options = { compress: { global_defs: defines } };
    let result = uglify.minify(filename, options);
    yield fs.writeFileAsync(filename, result.code, 'utf-8');
});
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = hook;
//# sourceMappingURL=minify-sourcecode.js.map