export declare module Resource {
    interface File {
        url: string;
        type: string;
        crc32?: string;
        size?: number;
    }
    interface Dictionary {
        [file: string]: File | Dictionary;
    }
    interface Data {
        resources: Dictionary;
        groups?: {
            [groupName: string]: string[];
        };
        alias?: {
            [aliasName: string]: string;
        };
    }
    var data: Data;
    function getResourceInfo(url: string): File;
    function print(): void;
    namespace ResourceConfig {
        var data: Dictionary;
        function addFile(filename: string, type?: string): void;
        function getFile(filename: string): File;
        function mkdir(dirpath: string): void;
        function exists(dirpath: string): boolean;
    }
}
